"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const common_1 = require("@nestjs/common");
const session = require("express-session");
let PostgresExpressSessionModule = class PostgresExpressSessionModule {
    initialize(app, options) {
        const { secret, username, password, database, host, port, expire, } = options;
        const crear_interval = ~~((expire || 24 * 60 * 60 * 1000) / 1000);
        const pgSession = require('connect-pg-simple')(session);
        app.use(session({
            secret,
            store: new pgSession({
                conString: `postgres://${username}:${password}@${host}:${port}/${database}`,
                crear_interval,
            }),
            resave: false,
            saveUninitialized: false,
            rolling: true,
            cookie: {
                httpOnly: false,
                maxAge: crear_interval * 1000,
            },
        }));
    }
};
PostgresExpressSessionModule = __decorate([
    common_1.Module({})
], PostgresExpressSessionModule);
exports.PostgresExpressSessionModule = PostgresExpressSessionModule;
//# sourceMappingURL=postgres-express-session.module.js.map